Comment 17 for bug 1583009

Revision history for this message
mogliii (mogliii) wrote :

I found now one difference:
On the working installation, I have "/etc/init.d/libvirt-bin", while this file is "/etc/init.d/libvirtd" on the not working installation.

Below is a diff of the two files. The most important difference might be the "Provides" line? The others are related to the name.

--- workinglibvirt-bin 2016-08-02 19:43:55.999309028 +0900
+++ notworkinglibvirtd 2016-08-02 19:43:17.588065711 +0900
@@ -6,7 +6,7 @@
 # based on the skeletons that comes with dh_make
 #
 ### BEGIN INIT INFO
-# Provides: libvirtd libvirt-bin
+# Provides: libvirtd
 # Required-Start: $network $local_fs $remote_fs $syslog virtlogd
 # Required-Stop: $local_fs $remote_fs $syslog virtlogd
 # Should-Start: avahi-daemon cgconfig
@@ -31,13 +31,13 @@
 DODTIME=1 # Time to wait for the server to die, in seconds

 # Include libvirtd defaults if available
-if [ -f /etc/default/libvirt-bin ] ; then
- . /etc/default/libvirt-bin
+if [ -f /etc/default/libvirtd ] ; then
+ . /etc/default/libvirtd
 fi

 check_start_libvirtd_option() {
   if [ ! "$start_libvirtd" = "yes" ]; then
- log_warning_msg "Not starting libvirt management daemon libvirtd, disabled via /etc/default/libvirt-bin"
+ log_warning_msg "Not starting libvirt management daemon libvirtd, disabled via /etc/default/libvirtd"
     return 1
   else
     return 0
@@ -135,17 +135,17 @@
 }

 wait_on_sockfile() {
- sockfile=/var/run/libvirt/libvirt-sock
- sockfile_check_retries=5
- while [ ! -S $sockfile ]; do
- echo "Waiting for $sockfile - recheck in 2 sec"
- sleep 2
- if ! sockfile_check_retries=`expr $sockfile_check_retries - 1`; then
- echo "Giving up waiting for $sockfile."
- exit 1
- fi
- done
- return 0
+ sockfile=/var/run/libvirt/libvirt-sock
+ while [ ! -S $sockfile ] ; do
+ if ! running ; then
+ # stop/restart/force-stop event triggered before sockfile is created
+ exit 1
+ fi
+ echo "waiting for $sockfile."
+ sleep 0.5
+ done
+ echo "$sockfile ready."
+ return 0
 }

 case "$1" in
@@ -238,7 +238,7 @@
  fi
  ;;
   *)
- N=/etc/init.d/libvirt-bin
+ N=/etc/init.d/libvirtd
  echo "Usage: $N {start|stop|restart|reload|force-reload|status|force-stop}" >&2
  exit 1
  ;;